1. Settings
Leadfeeder API
  • Leadfeeder API
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • AI & MCP
    • Overview of the Leadfeeder MCP Server
    • Quickstart
    • Connect your AI tool
    • Authentication and permissions
  • Account
    • List Accounts
  • Companies
    • Retrieve Companies
    • Create Company Enrichment Job
    • Estimate Company Enrichment Job
    • Get Company Enrichment Job Status
    • Retrieve Company IPs
    • Match Companies
    • Search Companies
    • Search Company Signals
    • Get Company Details
    • Update a Company
    • Company Financial Reports
    • Remove Company from Lists
    • Add Company to Lists
    • Unassign Tags from Company
    • Assign Tags to Company
  • Contacts
    • Retrieve Contacts
    • Create Find Contact Data Job
    • Estimate Find Contact Data Job
    • Get Find Contact Data Job Status
    • Search Contacts
    • Get Contact Details
    • Update a Contact
    • Remove Contact from Lists
    • Add Contact to Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Visitor Companies
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Retrieve Custom Feeds Folders
    • Delete a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Retrieve Web Visits Tracker Script
    • Retrieve Goals
    • Create a Goal
    • Delete a Goal
    • Get Goal Details
    • Update a Goal
  • Campaigns
    • Retrieve Campaigns
    • Get Campaign Details
    • Update Campaign
    • Retrieve Campaign Stats
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Create a Buyer Persona
    • Delete a Buyer Persona
    • Get Buyer Persona Details
    • Update a Buyer Persona
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Create an Ideal Customer Profile
    • Retrieve Company ICP Matches
    • Delete an Ideal Customer Profile
    • Get Ideal Customer Profile Details
    • Update an Ideal Customer Profile
  • Tags
    • Retrieve Tags
    • Create Tag
    • Create Batch Add Tags Job
    • Get Batch Add Tags Job
    • Create Batch Remove Tags Job
    • Get Batch Remove Tags Job
    • Delete Tag
    • Get Tag Details
    • Update Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Create Batch Add to List Job
    • Get Batch Add to List Job
    • Create Batch Remove from List Job
    • Get Batch Remove from List Job
    • Retrieve Company List Memberships
    • Retrieve Contact List Memberships
    • Delete List
    • Get List Details
    • Update List
    • Retrieve List Items
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Delete Custom Field
    • Get Custom Field Details
    • Update Custom Field
  • Users
    • Get Current User
  • Settings
    • Get Cookie Consent Settings
      GET
    • Update Cookie Consent Settings
      PATCH
    • Get Data Processing Settings
      GET
    • Update Data Processing Settings
      PATCH
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • Get Countries with Regions
    • Get Geo Suggestions
    • Get Industries
  • Schemas
    • AccountCompanyV1
    • AccountSummaryV1
    • AccountV1
    • ApiUsageV1
    • BatchAddTagsJobV1
    • BatchAddToListJobV1
    • BatchRemoveFromListJobV1
    • BatchRemoveTagsJobV1
    • BuyerPersonaRequestV1
    • BuyerPersonaV1
    • CampaignLocationV1
    • CampaignSettingsV1
    • CampaignStatsV1
    • CampaignSummaryV1
    • CampaignV1
    • CompaniesAdvancedSearchFilterItem
    • CompanyFinancialsV1
    • CompanyIndustryV1
    • CompanyLocationV1
    • CompanyIpV1
    • CompanyMatchV1
    • CompanySummaryV1
    • CompanyV1
    • ContactFilterGroupsV1
    • ConnectedListV1
    • ContactV1
    • ContactSummaryV1
    • CookieConsentSettingsV1
    • CountryV1
    • CustomFeedFolderV1
    • CustomFeedRequestV1
    • CustomFeedV1
    • CustomFieldV1
    • EnrichedIpV1
    • CRMUserV1
    • DataProcessingSettingsV1
    • CRMOrganizationV1
    • ErrorObjectV1
    • EnrichmentJobV1
    • CRMContactV1
    • GeoSuggestionV1
    • FindContactDataJobV1
    • CRMLeadV1
    • ICPV1
    • CRMConnectionV1
    • IpAddressExtendedV1
    • GoalCreateRequestV1
    • CRMSuggestionV1
    • IcpRequestV1
    • IpLocationV1
    • GoalUpdateRequestV1
    • GoalV1
    • CRMGroupConnectionV1
    • ListV1
    • LocationV1
    • MaskedCompanySummaryV1
    • NetworkV1
    • MaskedContactSummaryV1
    • SignalV1
    • TagV1
    • UserV1
    • VisitLocationV1
    • WebVisitV1
    • WebVisitsTrackerScriptV1
  1. Settings

Update Cookie Consent Settings

PATCH
/v1/settings/cookie-consent
Toggles cookie consent management for the account. When enabled, the Leadfeeder tracker does not set its cookie on page load until the visitor grants consent. Integration cookies cannot be modified through the API.
Side effect: if consent_management_enabled is set to true and the Leadfeeder Analytics cookie (lfa_cookie_enabled) is currently false, enabling consent management will also activate the Leadfeeder cookie automatically.
INFO
Requires the accounts:write OAuth2 scope.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Example
{
    "data": {
        "attributes": {
            "consent_management_enabled": true
        },
        "type": "cookie_consent_settings"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.leadfeeder.com/v1/settings/cookie-consent?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "data": {
        "attributes": {
            "consent_management_enabled": true
        },
        "type": "cookie_consent_settings"
    }
}'

Responses

🟢200OK
application/json
Cookie consent settings
Bodyapplication/json

Example
{
    "data": {
        "attributes": {
            "consent_management_enabled": false
        },
        "id": "123456",
        "type": "cookie_consent_settings"
    },
    "meta": {
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠422Parameter Error
🟠429
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-10-13 07:27:21
Previous
Get Cookie Consent Settings
Next
Get Data Processing Settings
Built with